cdac.medinfo.sdk.hl7282.baselibs

## Class NR

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.NR

- All Implemented Interfaces:
    IDataType

      public class NR
      extends CompositeDataType

  NR - Numeric Range

  This data type Specifies the interval between the lowest and the highest values in a series of data. In the case where a numeric range is unbounded on one side, the component of the unbounded side is null. Whether the end points are included in the range is defined in the usage note for the field.

  Represents an HL7 NR data type. This data type has the following attributes:

  1. Low Value (NM)Optional
  2. High Value (NM)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NR()` Default Constructor for NR
    `NR(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for NR class which takes two arguments and sets the value in the respective member variable.
    `NR(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for NR class which takes five arguments and sets the value in the respective member variable.
    `NR(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for NR class which takes six arguments and sets the value in the respective member variable.
    `NR(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `NR(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for NR class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `NM` | `getHighValue()` Returns High Value
    `NM` | `getLowValue()` Returns Low Value
    `void` | `setHighValue(NM objNM)` Sets the HighValue.
    `void` | `setHighValue(java.lang.String strHighValue)` Sets the HighValue.
    `void` | `setLowValue(NM objNM)` Sets the LowValue.
    `void` | `setLowValue(java.lang.String strLowValue)` Sets the LowValue.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NR

          public NR()

      Default Constructor for NR

    - #### NR

          public NR(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NR

          public NR(int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int iTableNo,
            int iComponentType)
             throws InvalidComponentTypeException

      Constructor for NR class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NR

          public NR(int iComponentType,
            IDataTypeMap objIDataTypeMap)

      Constructor for NR class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NR

          public NR(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            IDataTypeMap objIDataTypeMap)

      Constructor for NR class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### NR

          public NR(int iComponentType,
            int iMinLength,
            int iMaxLength,
            java.lang.String strCLength,
            int ITableNo,
            IDataTypeMap objIDataTypeMap)

      Constructor for NR class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setLowValue

          public void setLowValue(java.lang.String strLowValue)

      Sets the LowValue.
      Parameters:
        `strLowValue` - specifying the lower limit or boundary of the range.

    - #### setLowValue

          public void setLowValue(NM objNM)

      Sets the LowValue.
      Parameters:
        `objNM` - specifying the lower limit or boundary of the range.

    - #### setHighValue

          public void setHighValue(java.lang.String strHighValue)

      Sets the HighValue.
      Parameters:
        `strHighValue` - specifying the high limit or boundary of the range.

    - #### setHighValue

          public void setHighValue(NM objNM)

      Sets the HighValue.
      Parameters:
        `objNM` - specifying the high limit or boundary of the range.

    - #### getLowValue

          public NM getLowValue()

      Returns Low Value
      Returns:
        NM - data type.

    - #### getHighValue

          public NM getHighValue()

      Returns High Value
      Returns:
        NM - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.